Subject: bug#52477: 27.1; .crx and .crx3 are zip files

From: Stefan Kangas <[email-masked]>
Date: Wed, 15 Dec 2021 12:51:48 -0800

"Trent W. Buck" <[email-masked]> writes:

> These are .zip files; "unzip -l" works on them:
>
>     https://edgedl.me.gvt1.com/edgedl/chromewebstore/L2Nocm9tZV9leHRlbnNpb24vYmxvYnMvMjg0QUFYSnN4MFUtaEQwNDZqVGRkVkFmZw/1.0.6.0_aemomkdncapdnfajjbbcbdebjljbpmpj.crx
>     https://edgedl.me.gvt1.com/edgedl/release2/chrome_component/acoof3hxrw6kobkazuyehcxdgxeq_2749/jflookgnkcckhobaglndicnbbgbonegd_2749_all_jujpn2jyxpu4ped7yujq342ypq.crx3
>
> I want to be able to press RET on them in dired, and
> see a zip view of their contents.
>
> This already works for .jar and .ods, so I hoped it was just a matter of
> adding to a list somewhere, but I cannot see where.
>
> But when I tried just changing ".crx" to ".zip", I got an error:
>
>     File mode specification error: (error Buffer format not recognized)

Just to add some initial observations:

    $ file 1.0.6.0_aemomkdncapdnfajjbbcbdebjljbpmpj.crx
    1.0.6.0_aemomkdncapdnfajjbbcbdebjljbpmpj.crx: Google Chrome
extension, version 3

The first couple of bytes of that files is "Cr24", while a normal zip
file starts with "PK".